Bug 42751 - ide mode fails on sources with space in path
ide mode fails on sources with space in path
Status: CLOSED FIXED
Product: obsolete
Classification: Unclassified
Component: xtest
4.x
PC Windows XP
: P2 (vote)
: 4.x
Assigned To: issues@obsolete
issues@obsolete
: SPACE_IN_PATH
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-04 07:55 UTC by Jan Chalupa
Modified: 2006-03-24 10:08 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
Exception stack trace (822 bytes, text/plain)
2004-05-04 07:56 UTC, Jan Chalupa
Details
Console log (3.85 KB, text/plain)
2004-05-04 07:58 UTC, Jan Chalupa
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Chalupa 2004-05-04 07:55:39 UTC
[build of sources updated on 05/01/2004, JDK 
1.4.2_04]

I have the nb source tree checked out in a 
directory with spaces:

C:/Documents and Settings/honza/sources/nb_all

xtest seems to fail to start tests in the 'ide' 
mode properly. The IDE starts up, but a 
ZipException is thrown (attached) and the tests 
won't run. In addition, a message about 'Ignored 
unknown option: and' is printed to the console 
(log attached).

When the same source tree is copied to a 
directory without spaces, everything works fine.
Comment 1 Jan Chalupa 2004-05-04 07:56:56 UTC
Created attachment 14677 [details]
Exception stack trace
Comment 2 Jan Chalupa 2004-05-04 07:58:11 UTC
Created attachment 14678 [details]
Console log
Comment 3 Jan Chalupa 2004-05-04 07:59:22 UTC
Should have mentioned I'm trying to run the ide/test/build.xml.
Comment 4 Jiri Skrivanek 2004-05-04 15:13:33 UTC
OK, I'll look at it.
Comment 5 Jiri Skrivanek 2004-05-06 09:31:26 UTC
Fixed - all paths have to be quoted.

/cvs/xtest/plugins_src/ide/lib/ide_plugin_targets.xml,v  <-- 
ide_plugin_targets.xml

new revision: 1.18; previous revision: 1.17
Comment 6 Jan Chalupa 2004-05-08 07:06:24 UTC
Seems to work. I'm able to compile and run tests in a directory w/ 
spaces. Thanks.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo